### Class

# PapersView Job

#### Description

    abstract class PapersView.Job : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- PpsJobAnnots
- PpsJobAttachments
- PpsJobExport
- PpsJobFind
- PpsJobFonts
- PpsJobLayers
- PpsJobLinks
- PpsJobLoad
- PpsJobPageData
- PpsJobPrint
- PpsJobRenderTexture
- PpsJobSave
- PpsJobSignatures
- PpsJobThumbnailTexture

#### Functions

###### pps_job_scheduler_wait

Synchronously waits until all jobs are done. Remember that main loop is not running already probably.

#### Instance methods

###### pps_job_cancel

Cancels the specified job if it has not already been cancelled.

###### pps_job_failed

Marks the specified job as failed and sets an error with the provided details.

###### pps_job_failed_from_error

Marks the specified job as failed and sets the error associated with the failure.

###### pps_job_get_cancellable

Retrieves the `GCancellable` object associated with the specified job.

###### pps_job_get_document

Retrieves the `PpsDocument` associated with the specified job.

###### pps_job_is_finished

Checks if the specified job has finished execution.

###### pps_job_is_succeeded

Determines the finish status of the specified job.

###### pps_job_reset

Resets the state of the specified job to its initial state.

###### pps_job_run

Starts or executes the specified job.

###### pps_job_scheduler_push_job

No description available.

###### pps_job_scheduler_update_job

No description available.

###### pps_job_succeeded

Marks the specified job as succeeded.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PapersView.Job:document

No description available.

#### Signals

###### PapersView.Job::cancelled

No description available.

###### PapersView.Job::finished

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewJobClass {
      GObjectClass parent_class;
      void (* run) (
        PpsJob* job
      );
      void (* cancelled) (
        PpsJob* job
      );
      void (* finished) (
        PpsJob* job
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`run: void (* run) ( PpsJob* job )`

  No description available.

`cancelled: void (* cancelled) ( PpsJob* job )`

  No description available.

`finished: void (* finished) ( PpsJob* job )`

  No description available.

#### Virtual methods

###### PapersView.JobClass.cancelled

No description available.

###### PapersView.JobClass.finished

No description available.

###### PapersView.JobClass.run

Starts or executes the specified job.